Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Paul Mackerras <[email-masked]>
Date: Thu, 12 Aug 1999 17:11:49 +1000

Richard Henderson <[email-masked]> wrote:

> I prefer high-performance drivers. 

Sure, so do I.  But when I can get safety as well, for the cost of one
extra cpu cycle per device access, which can probably be overlapped
with the device access anyway, I think it's a good deal.

On alpha, does wmb() stop a subsequent load from being moved ahead of
a previous store?  Or do you have to use mb() to get that effect?

Paul.

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]